Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IExcelRenderOption

All Superinterfaces:
  IRenderOption, ITaskOption

All Known Implementing Classes:
  EXCELRenderOption

    public interface IExcelRenderOption

extends IRenderOption

Field Summary
`static java.lang.String` | `HIDE_GRIDLINES` The option to hide the gridlines in the worksheet
`static java.lang.String` | `IGNORE_IMAGE` Excel will ignore all image items when this option is on.
`static java.lang.String` | `OFFICE_VERSION` This is the option to decide in which office version will you output the excel file
`static java.lang.String` | `OPTION_MULTIPLE_SHEET` This is the option to decide in which office version will you output the excel file
`static java.lang.String` | `WRAPPING_TEXT` The option to decide if the text out will be wrapped

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Method Summary
`java.lang.String` | `getOfficeVersion()`
`boolean` | `getWrappingText()`
`boolean` | `isEnableMultipleSheet()`
`void` | `setEnableMultipleSheet(boolean enableMultipleSheet)`
`void` | `setOfficeVersion(java.lang.String officeVersion)`
`void` | `setWrappingText(boolean wrappingText)`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### WRAPPING_TEXT

    static final java.lang.String WRAPPING_TEXT

  The option to decide if the text out will be wrapped

  See Also:
    Constant Field Values

### OFFICE_VERSION

    static final java.lang.String OFFICE_VERSION

  This is the option to decide in which office version will you output the excel file

  See Also:
    Constant Field Values

### HIDE_GRIDLINES

    static final java.lang.String HIDE_GRIDLINES

  The option to hide the gridlines in the worksheet

  See Also:
    Constant Field Values

### OPTION_MULTIPLE_SHEET

    static final java.lang.String OPTION_MULTIPLE_SHEET

  This is the option to decide in which office version will you output the excel file

  See Also:
    Constant Field Values

### IGNORE_IMAGE

    static final java.lang.String IGNORE_IMAGE

  Excel will ignore all image items when this option is on.

  See Also:
    Constant Field Values

Method Detail

### setWrappingText

    void setWrappingText(boolean wrappingText)

  Parameters:
    `wrappingText` -

### setOfficeVersion

    void setOfficeVersion(java.lang.String officeVersion)

  Parameters:
    `officeVersion` -

### getWrappingText

    boolean getWrappingText()

  Returns:
    if the text is wrapped

### getOfficeVersion

    java.lang.String getOfficeVersion()

  Returns:
    officeVersion

### isEnableMultipleSheet

    boolean isEnableMultipleSheet()

### setEnableMultipleSheet

    void setEnableMultipleSheet(boolean enableMultipleSheet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.